<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"  encoding = "ISO-8859-1"/> 
<!-- feuille intervenant4.xsl -->

<xsl:template name="affiche_enseignant" >
	<xsl:param name = "id_ensg" />
	<xsl:value-of select="//enseignant[@id = $id_ensg]/nom" />
</xsl:template>

<xsl:template match="uv">
<html>
 <head>
	<TITLE><xsl:value-of select="@sigle" /></TITLE>
        <LINK rel="stylesheet" href="lo18.css" type="text/css" />
</head>
	<body>
	<h1><xsl:value-of select="titre" /></h1>
	<xsl:apply-templates select = "*" />
	</body>
</html>
</xsl:template>

<xsl:template match="site">
  <xsl:variable name="ref" >boulanger</xsl:variable>
  <div>Site : <xsl:value-of select="." /></div>
  <div>Le nom de l'enseignant identifié par : <xsl:value-of select="$ref" /></div>
  <xsl:call-template name="affiche_enseignant" >
    <xsl:with-param name="id_ensg" select="$ref" /> 
  </xsl:call-template>
</xsl:template>

<xsl:template match="responsable">
   <div>Responsable : <xsl:value-of select="id(@ref)/nom" />.</div>
</xsl:template>

<xsl:template match="enseignants" >
  <div>Le dernier enseignant : <xsl:value-of select="child::enseignant[position()=last()]/nom" /> </div>
</xsl:template>

<xsl:template match="text()">
</xsl:template>

</xsl:stylesheet>

